.. AUTO-GENERATED FILE. DO NOT EDIT. store-auth-sessions-get-many ============================ Source ------ - Repository: ``jef-systems/jef-store-backend`` - Source Run ID: ``25333167796`` - Source SHA: ``69cb846339fa14db005aec45414a4a94ec2a821e`` - Module: ``store`` - Documentation Scope: ``get`` - Lambda: ``jef-store-get-8`` Endpoint -------- - API Name: ``jef-store`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/store-auth-sessions-get-many`` - Complete Endpoint: ``https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-sessions-get-many`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-8`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-store-get-8 API Name: jef-store Action: get Method: GET Resource Path: /store-auth-sessions-get-many Table: - table: jef-store-auth-sessions - operation: get-many Payload Schema: - gsi_1_pk: entity_number Payload Example: - gsi_1_pk: 1001 Response Schema: - exists: boolean - message: string - items: [{"session_id":"string","session_number":"string","entity_number":"string","employee_number":"string","employee_name":"string","role":"string","device_id":"string","platform":"string","message":"string","is_valid":"boolean","token_hash":"string","login_type":"string","issued_at":"string","last_seen":"string","expires_at":"string","revoked_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}] Request Payload --------------- .. code-block:: json { "gsi_1_pk": "entity_number" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "items": "[{\"session_id\":\"string\",\"session_number\":\"string\",\"entity_number\":\"string\",\"employee_number\":\"string\",\"employee_name\":\"string\",\"role\":\"string\",\"device_id\":\"string\",\"platform\":\"string\",\"message\":\"string\",\"is_valid\":\"boolean\",\"token_hash\":\"string\",\"login_type\":\"string\",\"issued_at\":\"string\",\"last_seen\":\"string\",\"expires_at\":\"string\",\"revoked_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}]" } CMD curl -------- .. code-block:: text curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-sessions-get-many?gsi_1_pk=1001" PowerShell curl --------------- .. code-block:: text curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-sessions-get-many?gsi_1_pk=1001"